import request from "@/utils/request";

let url = '/shouShuShenQing/'

export function huoQuShouShu(data) {
    return request({
        url: url + 'huoQuShouShu',
        method: 'post',
        data
    })
}

export function huoQuShouShuMingCheng(patNo, times, name) {
    return request({
        url: url + 'huoQuShouShuMingCheng',
        method: 'get',
        params: {patNo, times, name}
    })
}

export function huoQuShouShuShenQingDaYing(patNo, times, recordId) {
    return request({
        url: url + 'huoQuShouShuShenQingDaYing',
        method: 'get',
        params: {patNo, times, recordId}
    })
}

export function shouShuShenQingCeBianLan() {
    return request({
        url: url + 'shouShuShenQingCeBianLan',
        method: 'get',
    })
}

export function fenLeiXiangQing(code, name, total, currentPage, pageSize) {
    return request({
        url: url + 'fenLeiXiangQing',
        method: 'get',
        params: {code, name, total, currentPage, pageSize}
    })
}

/**
 * 获取手术内容
 * @param name 名称
 * @param type 类型
 * @returns {*}
 */
export function obtainSurgicalItems(name, type) {
    return request({
        url: url + 'obtainSurgicalItems',
        method: 'get',
        params: {name, type}
    })
}

export function huoQuShouShuBuWei(name) {
    return request({
        url: url + 'huoQuShouShuBuWei',
        method: 'get',
        params: {name}
    })
}

export function xinZengShouShuShenQing(data) {
    return request({
        url: url + 'xinZengShouShuShenQing',
        method: 'post',
        data
    })
}

export function shanChuShouShu(recordId) {
    return request({
        url: url + 'shanChuShouShu',
        method: 'get',
        params: {recordId}
    })
}

export function addASurgicalSite(name) {
    return request({
        url: url + 'addASurgicalSite',
        method: 'get',
        params: {name}
    })
}

export function removeSurgicalSite(code) {
    return request({
        url: url + 'removeSurgicalSite',
        method: 'get',
        params: {code}
    })
}













